/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
  'Account Role': 'Account Role',
  'Account Roles': 'Account Roles',
  'Alerting Messages Management': 'Alerting Messages Management',
  'Alerting Messages View': 'Alerting Messages View',
  'Alerting Policies Management': 'Alerting Policies Management',
  'Alerting Policies View': 'Alerting Policies View',
  'App Templates Management': 'App Templates Management',
  'App Templates View': 'App Templates View',
  'Application Workloads Management': 'Application Workloads Management',
  'Application Workloads View': 'Application Workloads View',
  'Authorization List': 'Authorization List',
  'Authorization Settings': 'Authorization Settings',
  'Authorized Actions': 'Authorized Actions',
  'Authorized Users': 'Authorized Users',
  'ConfigMaps Management': 'ConfigMaps Management',
  'ConfigMaps View': 'ConfigMaps View',
  'Custom Monitoring View': 'Custom Monitoring View',
  'Custom Monitoring Management': 'Custom Monitoring Management',
  Cluster: 'Cluster',
  'Cluster Members Management': 'Cluster Members Management',
  'Cluster Members View': 'Cluster Members View',
  'Cluster Monitoring View': 'Cluster Monitoring View',
  'Cluster Resources Management': 'Cluster Resources Management',
  'Cluster Role': 'Cluster Role',
  'Cluster Roles Management': 'Cluster Roles Management',
  'Cluster Roles View': 'Cluster Roles View',
  'Clusters Management': 'Clusters Management',
  'Clusters View': 'Clusters View',
  'Components Management': 'Components Management',
  'CRD Management': 'CRD Management',
  'Create Account Role': 'Create Account Role',
  'Create Cluster Role': 'Create Cluster Role',
  'Create Project Role': 'Create Project Role',
  'Create Role': 'Create Role',
  'Credentials Management': 'Credentials Management',
  'Credentials View': 'Credentials View',
  'Default user role which allows a user to manage resources within the projects created by the user himself or invited by others. It does not allow the user to manage unauthorized resources in the cluster.':
    'Default user role which allows a user to manage resources within the projects created by the user himself or invited by others. It does not allow the user to manage unauthorized resources in the cluster.',
  'Depend on': 'Depend on',
  'DevOps Create': 'DevOps Create',
  'DevOps Management': 'DevOps Management',
  'DevOps Members Management': 'DevOps Members Management',
  'DevOps Members View': 'DevOps Members View',
  'DevOps Roles Management': 'DevOps Roles Management',
  'DevOps Roles View': 'DevOps Roles View',
  'DevOps Settings': 'DevOps Settings',
  'DevOps View': 'DevOps View',
  'Edit Account Role': 'Edit Account Role',
  'Edit Authorization': 'Edit Authorization',
  'Edit Cluster Role': 'Edit Cluster Role',
  'Edit Project Role': 'Edit Project Role',
  'Edit Role': 'Edit Role',
  'Federated Projects Management': 'Federated Projects Management',
  'Invalid role name': 'Invalid role name',
  'Invited Successfully': 'Invited Successfully',
  Member: 'Member',
  Modules: 'Modules',
  'Network Policies Management': 'Network Policies Management',
  'Network Policies View': 'Network Policies View',
  'No Authorization': 'No Authorization',
  'Nodes Management': 'Nodes',
  'Nodes View': 'Nodes View',
  'Pipelines Management': 'Pipelines Management',
  'Pipelines View': 'Pipelines View',
  'Platform Settings Management': 'Platform Settings Management',
  'Please input role name': 'Please input role name',
  'Please specify role authorization': 'Please specify role authorization',
  'Project Details': 'Project Details',
  'Project Members Management': 'Project Members Management',
  'Project Members View': 'Project Members View',
  'Project Resources Management': 'Project Resources Management',
  'Project Roles': 'Project Roles',
  'Project Roles Management': 'Project Roles Management',
  'Project Roles View': 'Project Roles View',
  'Projects Create': 'Projects Create',
  'Projects Management': 'Projects Management',
  'Projects View': 'Projects View',
  Role: 'Role',
  'Role Identifier': 'Role Identifier',
  'Role Management': 'Role Management',
  'Role Name': 'Role Name',
  'Role name exists': 'Role name exists',
  'Role Type': 'Role Type',
  Roles: 'Roles',
  roles: 'roles',
  'Roles Management': 'Roles Management',
  'Roles View': 'Roles View',
  'Secrets Management': 'Secrets Management',
  'Secrets View': 'Secrets View',
  'StorageClasses Management': 'StorageClasses Management',
  'StorageClasses View': 'StorageClasses View',
  Terminating: 'Terminating',
  'Unable to delete preset role': 'Unable to delete preset role',
  'User Name': 'User Name',
  'Users Management': 'Users Management',
  'Users View': 'Users View',
  'Volume Snapshots Management': 'Volume Snapshots Management',
  'Volume Snapshots View': 'Volume Snapshots View',
  'Volumes Management': 'Volumes Management',
  'Volumes View': 'Volumes View',
  'Workspace App Repos Management': 'Workspace App Repos Management',
  'Workspace App Repos View': 'Workspace App Repos View',
  'Workspace App Templates Management': 'Workspace App Templates Management',
  'Workspace App Templates View': 'Workspace App Templates View',
  'Workspace Members Management': 'Workspace Members Management',
  'Workspace Members View': 'Workspace Members View',
  'Workspace Roles Management': 'Workspace Roles Management',
  'Workspace Roles View': 'Workspace Roles View',
  'Workspaces Management': 'Workspaces Management',
  'Workspaces View': 'Workspaces View',

  NO_AVAILABLE_ROLE: 'No roles are available for the current project.',

  JOIN_PROJECT_PLACEHOLDER:
    'Invite members by user name or email to join the project.',
  ROLE_PROJECTS_JOIN_TIP:
    'Enter the username or email address to invite users to the project.',
  ROLE_DELETE_TIP:
    'The current role is already bound to the user, please try again after unbinding.',
  ROLE_NO_AVAILABLE_TIP: 'No roles are available for the current project.',
  ROLE_TYPE_DESC:
    'The role types are classified into cluster and project, the current role is authorized as the project scope.',
  DELETE_ROLE_TIP:
    'Are you sure about deleting the role <strong>{resource}</strong>?',
  ROLE_USERS_TIP:
    'Current role has <strong>{count}</strong> authorized users, please remove them first。',

  RULE_WORKSPACES: 'Workspaces',
  RULE_KUBECTL: 'KubeCtl',
  RULE_MONITORING: 'Monitoring Management',
  RULE_PROJECTS: 'Project Management',
  RULE_USERS: 'User Management',
  RULE_ACCOUNTS: 'Account Management',
  RULE_ROLES: 'Role Management',
  RULE_REGISTRYS: 'Image Registry',
  RULE_PERSISTENTVOLUMECLAIMS: 'Volume Management',
  RULE_STORAGECLASSES: 'Storage Class Management',
  RULE_IMAGES: 'Image Repository Management',
  RULE_NODES: 'Node Management',
  RULE_APP_CATALOG: 'Repo Management',
  RULE_REPOS: 'Repo Management',
  RULE_APPS: 'App Template',
  RULE_DEPLOYMENTS: 'Deployments',
  RULE_STATEFULSETS: 'StatefulSets',
  RULE_DAEMONSETS: 'DaemonSets',
  RULE_SERVICES: 'Service Management',
  RULE_ROUTES: 'Route Management',
  RULE_VIEW: 'View',
  RULE_CREATE: 'Create',
  RULE_EDIT: 'Edit',
  RULE_DELETE: 'Delete',
  RULE_ROLE_BINDING: 'Binding Roles',
  RULE_PODSCALE: 'Pod Scale Management',
  RULE_SCALE: 'Scale out/in',
  RULE_MEMBERS: 'Members Management',
  RULE_MEMBER_ROLES: 'Member Role',
  RULE_COMPONENTS: 'Components',
  RULE_VOLUMES: 'Volumes',
  RULE_PODS: 'Pod Management',
  RULE_TERMINAL: 'Remote Terminal',
  RULE_APPLICATIONS: 'Applications',
  RULE_JOBS: 'Jobs',
  RULE_CRONJOBS: 'CronJobs',
  RULE_SECRETS: 'Secrets',
  RULE_CONFIGMAPS: 'ConfigMaps',
  RULE_DRAIN: 'Drain',
  RULE_CORDON: 'Cordon/Uncordon',
  RULE_TAINT: 'Taints Management',
  RULE_DEVOPS: 'DevOps Project Management',
  RULE_REGISTRIES: 'Image Registry',
  RULE_ORGANIZATIONS: 'Organization',
  RULE_INTERNET: 'Internet Access Management',
  RULE_LOGGING: 'Log Management',
  RULE_ALERTING: 'Alerting Management',
  RULE_MANAGE: 'Manage',
  RULE_ADVANCED: 'Advanced Settings',
  RULE_S2IBUILDERS: 'Image Builder',

  CLUSTER_SETTINGS_DESC:
    'Manage cluster settings and authorizations to workspaces & edit cluster information',
  WORKSPACE_ROLE_NAME_TIP: 'Please give a unique identifier as the role name.',
  ROLE_CREATE_TIP_TITLE: 'Next Step',
  ROLE_CREATE_TIP_MESSAGE:
    'You need to edit authorization after which the role can be created successfully.',
  NODES_VIEW_DESC: 'View node information',
  NODES_MANAGEMENT_DESC: 'Manage, enable and disable nodes; manage taints',
  CRD_MANAGEMENT_DESC: 'Manage, view, modify and delele cluster CRDs',
  COMPONENTS_MANAGEMENT_DESC: 'Manage cluster components',
  CLUSTERS_VIEW_DESC:
    'Grant permission to view all clusters and cluster resources within a platform',
  CLUSTERS_MANAGEMENT_DESC:
    'Grant permission to create and delete clusters, and to manage resources in all clusters',
  WORKSPACES_VIEW_DESC:
    'Grant permission to view the current workspaces that users have access to',
  ROLES_VIEW_DESC: 'Grant permission to view the current roles in the platform',
  USERS_VIEW_DESC: 'Grant permission to view users in the current platform',

  WORKSPACES_MANAGEMENT_DESC:
    'Grant permission to manage workspaces, including adding/deleting/editing workspaces, and to view all workspaces in the platform',
  USERS_MANAGEMENT_DESC:
    'Grant permission to manage accounts, including adding/deleting/updating account information',
  ROLES_MANAGEMENT_DESC:
    'Grant permission to manage account roles, including adding/deleting/updating account roles',
  APP_TEMPLATES_VIEW_DESC: 'Grant permission to view platform App Store',
  APP_TEMPLATES_MANAGEMENT_DESC:
    'Grant permission to manage App Store at platform level and responsible for unified lifecycle management of cloud native applications including their release, removal and review',
  PLATFORM_SETTINGS_MANAGEMENT_DESC:
    'Grant permission to manage platform settings',
  ACCOUNT_ROLE_DESC:
    'Account roles define the authorization an account has in the platform.',
  ACCOUNT_ROLE_CREATE_DESC:
    'Account roles define the authorization an account has in the platform.',
  PIPELINES_MANAGEMENT_DESC:
    'Grant permission to manage DevOps project pipelines, including creating, editing and deleting pipelines',
  PIPELINES_VIEW_DESC:
    'Grant permission to view DevOps project pipelines and download artifacts',
  CREDENTIALS_MANAGEMENT_DESC:
    'Manage project credentials, including creating, editing and deleting',
  CREDENTIALS_VIEW_DESC: 'View and use credentials',
  DEVOPS_ROLES_VIEW_DESC: 'View DevOps project roles',
  DEVOPS_ROLES_MANAGEMENT_DESC:
    'Create, edit and delete DevOps project roles (system preset roles cannot be deleted)',
  DEVOPS_MEMBERS_VIEW_DESC: 'View DevOps project members',
  DEVOPS_MEMBERS_MANAGEMENT_DESC: 'Invite/edit/remove DevOps project members',
  DEVOPS_SETTINGS_DESC:
    'Grant permission to manage DevOps project settings and edit DevOps project information',

  CLUSTER_MEMBERS_MANAGEMENT_DESC: 'Invite/edit/remove cluster members',
  CLUSTER_MEMBERS_VIEW_DESC: 'View cluster members',
  CLUSTER_ROLES_MANAGEMENT_DESC:
    'Create, edit and delete cluster roles (system preset roles cannot be deleted)',
  CLUSTER_ROLES_VIEW_DESC: 'View cluster roles',

  NETWORK_POLICIES_MANAGEMENT_DESC:
    'Create/edit/delete cluster network policies',
  NETWORK_POLICIES_VIEW_DESC: 'View cluster network policies',
  STORAGECLASSES_VIEW_DESC: 'View all storage classes in the cluster',
  STORAGECLASSES_MANAGEMENT_DESC:
    'Create/edit/delete storage classes and set the default storage class',
  VOLUME_SNAPSHOTS_VIEW_DESC: 'View all volume snapshots',
  VOLUME_SNAPSHOTS_MANAGEMENT_DESC: 'Create/edit/delete volume snapshots',
  CLUSTER_MONITORING_VIEW_DESC:
    'View cluster physical resources and monitoring data of application resources',
  APPLICATION_WORKLOADS_VIEW_DESC:
    'Grant permission to view applications, services, workloads, tasks, grayscale releases and image builders in the project',
  APPLICATION_WORKLOADS_MANAGEMENT_DESC:
    'Grant permission to create, edit and delete applications, services, workloads, tasks, grayscale releases and image builders in the project',
  VOLUMES_VIEW_DESC: 'Grant permission to view project volumes',
  VOLUMES_MANAGEMENT_DESC:
    'Grant permission to create/edit/delete project volumes',
  SECRETS_VIEW_DESC: 'Grant permission to view project secrets',
  SECRETS_MANAGEMENT_DESC:
    'Grant permission to create/edit/delete project secrets',
  CONFIGMAPS_VIEW_DESC: 'Grant permission to view project configmaps',
  CONFIGMAPS_MANAGEMENT_DESC:
    'Grant permission to create/edit/delete project configmaps',

  CUSTOM_MONITORING_VIEW_DESC:
    'Grant permission to view custom monitoring data',
  CUSTOM_MONITORING_MANAGEMENT_DESC:
    'Grant permission to create and manage custom monitoring data',

  ALERTING_POLICIES_VIEW_DESC: 'Grant permission to view alerting policies',
  ALERTING_POLICIES_MANAGEMENT_DESC:
    'Grant permission to create/edit/delete alerting policies',
  ALERTING_MESSAGES_VIEW_DESC: 'Grant permission to view alerting messages',
  ALERTING_MESSAGES_MANAGEMENT_DESC:
    'Grant permission to comment/delete alerting messages',

  PROJECT_ROLES_VIEW_DESC: 'Grant permission to view project roles',
  PROJECT_ROLES_MANAGEMENT_DESC:
    'Grant permission to create, edit and delete project roles (system preset roles cannot be deleted)',
  PROJECT_MEMBERS_VIEW_DESC: 'Grant permission to view project members',
  PROJECT_MEMBERS_MANAGEMENT_DESC:
    'Grant permission to invite/edit/remove project members',
  PROJECT_SETTINGS_DESC:
    'Grant permission to manage project settings and edit project information, including Internet access, network policies, resource quota, and disk log collection and configuration',
  PROJECTS_MANAGEMENT_DESC:
    'Grant permission to manage all projects in the workspace, including creating/editing/deleting projects',
  PROJECTS_CREATE_DESC:
    'Grant permission to create projects. The creator has to be the project administrator',
  PROJECTS_VIEW_DESC: 'Grant permission to view all projects in the workspace',
  FEDERATED_PROJECTS_MANAGEMENT_DESC:
    'Manage all multi-cluster projects in the workspace, including creating/editing/deleting multi-cluster projects',

  DEVOPS_MANAGEMENT_DESC:
    'Grant permission to manage all DevOps projects in the workspace, including creating/editing/deleting DevOps projects',
  DEVOPS_CREATE_DESC:
    'Grant permission to create DevOps projects. The creator has to be the DevOps project administrator',
  DEVOPS_VIEW_DESC:
    'Grant permission to view all DevOps projects in the workspace',

  WORKSPACE_ROLES_VIEW_DESC: 'Grant permission to view workspace roles',
  WORKSPACE_ROLES_MANAGEMENT_DESC:
    'Grant permission to create, edit and delete workspace roles (system preset roles cannot be deleted)',
  WORKSPACE_MEMBERS_VIEW_DESC: 'Grant permission to view workspace members',
  WORKSPACE_MEMBERS_MANAGEMENT_DESC:
    'Grant permission to invite/edit/remove workspace members',
  WORKSPACE_APP_REPOS_VIEW_DESC:
    'Grant permission to view app repository lists',
  WORKSPACE_APP_REPOS_MANAGEMENT_DESC:
    'Grant permission to create/edit/delete app repositories',
  WORKSPACE_APP_TEMPLATES_VIEW_DESC:
    'Grant permission to view workspace app templates',
  WORKSPACE_APP_TEMPLATES_MANAGEMENT_DESC:
    'Grant permission to upload/edit/delete workspace app templates, and to release/remove apps to/from App Store in the platform',
  WORKSPACE_SETTINGS_DESC:
    'Grant permission to manage workspace settings, edit workspace information, network policies, etc.',

  ROLE_PLATFORM_ADMIN:
    'Platform administrator who can manage all resources in the platform.',
  ROLE_PLATFORM_REGULAR:
    'Normal user in the platform who has no access to any resources before joining the workspace or cluster.',

  ROLE_CLUSTER_ADMIN:
    'Allows cluster-admin access to perform any action on any resource. It gives full control over all resources in the cluster and in all namespaces.',
  ROLE_CLUSTER_VIEWER:
    'Allows cluster viewer to view all resources in the cluster.',
  ROLE_USERS_MANAGER: 'User manager in the platform who manages all users.',
  ROLE_WORKSPACES_MANAGER:
    'Workspace manager in the platform who manages all workspaces in the platform.',

  ROLE_WORKSPACE_ADMIN:
    'Allows admin access to perform any action on any resource. It gives full control over all resources in the workspace.',
  ROLE_WORKSPACE_REGULAR:
    'Regular user in the workspace who cannot create namespaces or DevOps projects.',
  ROLE_WORKSPACE_VIEWER:
    'Allows viewer access to view all resources in the workspace.',
  ROLE_WORKSPACE_SELF_PROVISIONER:
    'Regular user in the workspace who can create namespaces and DevOps projects.',

  ROLE_PROJECT_ADMIN:
    'Allows admin access to perform any action on any resource. It gives full control over all resources in the namespace.',
  ROLE_PROJECT_REGULAR:
    'The maintainer of the namespace who can manage resources other than users and roles in the namespace.',
  ROLE_PROJECT_VIEWER:
    'Allows viewer access to view all resources in the namespace.',
  ROLE_PROJECT_OPERATOR:
    'The maintainer of the project who can manage resources other than users and roles in the project.',

  ROLE_DEVOPS_ADMIN:
    'Allows admin access to perform any action on any resource. It gives full control over all resources in the DevOps project.',
  ROLE_DEVOPS_REGULAR:
    'The maintainer of the namespace who can manage resources other than users and roles in the DevOps project.',
  ROLE_DEVOPS_VIEWER:
    'Allows viewer access to view all resources in the DevOps project.',
  ROLE_DEVOPS_OPERATOR:
    'Normal member in a DevOps project who can create pipeline credentials in the DevOps project.',

  NO_AUTHORIZED_USERS: 'Currently there is no authorized user for this role.',
}
