/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
  'Abnormal Pods': 'Pods en estado erróneo',
  'APIs Average': 'APIs average',
  'APIServer Monitoring': 'Monitorización de APIServer',
  'Application Resources': 'Recursos de aplicación',
  'Application Resources Monitoring':
    'Monitorización de recursos de aplicaciones',
  'Application Resources Usage': 'Uso de recursos de la aplicación',
  'Attempt Frequency': 'Frecuencia de reintento',
  'Attempt Rate': 'Tasa de reintento',
  'Client Traffic': 'Tráfico de clientes',
  'Cluster Monitors': 'Monitores de clúster',
  'Cluster Node Status': 'Estado del nodo del clúster',
  'Cluster Resource Monitoring': 'Monitorización de recursos del clúster',
  'Cluster Resources Usage': 'Uso de recursos del clúster',
  'Cluster Status': 'Estado del clúster',
  'Cluster Status Monitoring': 'Monitorización de estado del clúster',
  'Components Status': 'Estado de los componentes',
  'Controller Manager': 'Manager de controlador',
  'Cool Color': 'Colores fríos',
  'Custom Monitoring': 'Monitorización personalizada',
  'Custom Time Range': 'Rango de tiempo personalizado',
  CustomMonitorDashboard: 'Dashboard personalizado',
  'DB Fsync': 'DB Fsync',
  'DB Size': 'Tamaño DB',
  'Default Color': 'Colores predeterminados',
  'Disk Capacity': 'Capacidad de disco',
  'Disk Usage': 'Uso del disco',
  'ETCD Monitoring': 'Monitorización ETCD',
  'ETCD Nodes': 'Nodos ETCD',
  'ETCD Service Status': 'Estado del servicio ETCD',
  'External ETCD': 'ETCD externo',
  'gRPC Stream Messages': 'Mensajes de stream de gRPC',
  'Historical Monitoring': 'Datos de monitorización históricos',
  'inode Utilization': 'Utilización de inode',
  'K8S Scheduler': 'Scheduler K8S',
  Monitoring: 'Monitorización',
  'Monitoring Center': 'Centro de monitorización',
  ms: 'ms',
  'No Refreshing': 'Sin refrescar',
  Node: 'Nodo',
  'Node Count': 'Cantidad de nodos',
  'Node Usage Ranking': 'Ranking de uso de nodos',
  'Only Show Selected': 'Mostrar solo seleccionados',
  'Physical Resources': 'Recursos físicos',
  'Physical Resources Monitoring': 'Monitorización de recursos físicos',
  'Physical Resources Usage': 'Uso de recursos físicos',
  'Projects Change Trend': 'Tendencia de cambio de proyectos',
  'Projects Count': 'Cantidad de proyectos',
  'Proposal Apply Rate': 'Propuesta de frecuencia para aplicar',
  'Proposal Commit Rate': 'Propuesta de frecuencia para hacer commit',
  'Proposal Failure Rate': 'Propuesta de frecuencia de errores',
  'Proposal Pending Total': 'Propuesta total pendiente',
  'Raft Proposals': 'Propuestas de raft',
  Received: 'Recibido',
  Request: 'Solicitud',
  'Request Latency': 'Latencia de solicitud',
  'Request Per Second': 'Solicitudes por segundo',
  'Resources Usage': 'Uso de recursos',
  'Resources Usage Trend': 'Tendencia de uso de recursos',
  'Running Pods': 'Pods en ejecución',
  'Running Status': 'Estado de ejecución',
  Scheduler: 'Scheduler',
  'Scheduler Monitoring': 'Programación de monitorización',
  'Scheduling Latency': 'Programación de latencia',
  second: 'segundo',
  'Select Time Range': 'Seleccionar rango de tiempo',
  Sented: 'Enviado',
  'Service Component Monitoring': 'Servicio de Monitorización de Componentes',
  times: 'veces',
  'times/s': 'veces/s',
  'Total Average': 'Promedio total',
  'Usage Ranking': 'Ranking de uso',
  'View All': 'Ver todo',
  'View All Replicas': 'Ver todas las réplicas',
  'View More': 'Ver más',
  'WAL Fsync': 'WAL Fsync',
  'Warm Color': 'Colores cálidos',
  Interval: 'Intervalo',
  Last: '',
  TIME_M: '{num, plural, =1 {1 minuto} other{# minutos}}',
  TIME_H: '{num, plural, =1 {1 hora} other{# horas}}',
  TIME_D: '{num, plural, =1 {1 día} other{# días}}',
  UTILIZATION: 'Utilización',
  RESOURCE_USAGE_TITLE: 'Uso de recursos',
  MONITORING_CLUSTER_DESC:
    'Puedes supervisar el estado de ejecución del clúster en este módulo.',
  MONITORING_PHYSICAL_DESC:
    'Supervisar el estado de ejecución de los recursos físicos.',
  MONITORING_APPLICATION_DESC:
    'Puedes supervisar el estado de ejecución de los recursos de la aplicación en este módulo.',
  TIMERANGE_SELECTOR_MSG:
    'La hora de finalización debe ser posterior a la hora de inicio',
  MONITORING_SELECT_LIMIT_MSG: 'Puedes seleccionar hasta diez recursos',
  AVERAGE: 'Promedio',
  TOTAL_AVERAGE: 'Total',
  SCHEDULED_SUCCESS: 'Programado',
  SCHEDULED_ERROR: 'Error',
  SCHEDULED_FAIL: 'Ha fallado la programación',
  ETCD_NODE_TITLE: 'Nodo ETCD',
  ETCD_LEADER_TITLE: '¿Hay un líder?',
  ETCD_CHANGES_TITLE: 'Detectado un cambio de líder (en la última 1 hora)',
  ETCD_STATUS: '<span>Estado</span> del servicio',
  ETCD_PROPOSAL: '<span>Propuesta</span> de raft',
  ETCD_DB_SIZE: '<span>Tamaño</span> de DB',
  ETCD_CLIENT_TRAFFIC: '<span>Tráfico</span> de clientes',
  REQUEST_LATENCY: '<span>Latencia</span> de las peticiones',
  REQUEST_RATE: '<span>Tasa</span> de peticiones',
  ATTEMPT_FREQUENCY: '<span>Frecuencia</span> de intentos',
  ATTEMPT_RATE: '<span>Tasa de</span> intentos',
  PROPOSAL_COMMITTED: 'Comprometido',
  PROPOSAL_APPLIED: 'Aplicado',
  PROPOSAL_FAILED: 'Ha fallado',
  PROPOSAL_PENDING: 'Pendiente',
  CustomMonitorDashboards: 'Paneles de monitorización personalizados',
  CUSTOMMONITORDASHBOARD_DESC:
    'Los usuarios pueden definir sus paneles de monitorización de aplicaciones de acuerdo con sus propias necesidades.',
  CUSTOMMONITORDASHBOARD_CREATE_DESC:
    'Los usuarios pueden definir sus paneles de monitorización de aplicaciones de acuerdo con sus propias necesidades.',
  ADD_MONITOR_ITEM: 'Agregar elemento de monitorización',
  ADD_MONITOR_ROW: 'Agregar grupo de monitorización',
  SELECT_CHART_TYPE: 'Selecciona un tipo de gráfico',
  SELECT_CHART_TYPE_MODAL_DESC: 'Selecciona un tipo de gráfico personalizado',
  CHART_TYPES: 'Tipos de gráfico',
  LINE_CHART: 'Gráfico de línea',
  BAR_CHART: 'Gráfico de barras',
  SINGLE_STATE_CHART: 'Texto en tiempo real',
  DISPLAY_POSITION: 'Posición de visualización',
  APPLICABLE_SCENE: 'Escenario aplicable',
  BASE_LINE_CHART: 'Gráfico de línea base',
  BASE_BAR_CHART: 'Gráfico de barras base',
  STACK_LINE_CHART: 'Gráfico de área apilada',
  STACK_BAR_CHART: 'Gráfico de barras apiladas',
  LINE_CHART_DESC:
    'Un gráfico de líneas se utiliza principalmente para visualizar una tendencia o un cambio en los datos a lo largo del tiempo.',
  BASE_LINE_CHART_DESC:
    'Un gráfico de líneas se utiliza principalmente para visualizar una tendencia o un cambio en los datos a lo largo del tiempo. Es muy útil para mostrar una serie de datos continuos bidimensionales, como el tráfico del sitio web o los precios de los productos.',
  STACK_LINE_CHART_DESC:
    'Un gráfico de área apilada es un tipo especial de gráficos de área que se pueden usar para comparar múltiples variables en un intervalo. Es muy útil cuando hay varias series de datos disponibles, ya que puedes analizar la relación de cada grupo con todo el gráfico y mostrar su proporción respectiva.',
  BAR_CHART_DESC:
    'Un gráfico de barras es el tipo más común de gráficos. Presenta diferentes datos categóricos con barras horizontales o verticales con alturas o longitudes proporcionales a los valores que representan.',
  BASE_BAR_CHART_DESC:
    'Un eje del gráfico de barras base presenta las categorías que se comparan, mientras que el otro eje representa el valor de cada una.',
  STACK_BAR_CHART_DESC:
    'Un gráfico de barras apiladas es una extensión de los gráficos de barras. Un gráfico de barras estándar compara puntos de datos individuales entre sí, mientras que en un gráfico de barras apiladas, partes de los datos son adyacentes o apiladas. Se puedes usar para presentar la cantidad total de una categoría, así como sus sub-cantidades (proporción). Por lo tanto, es muy útil para examinar las relaciones entre partes.',
  DISPLAY_FORMAT: 'Formato de visualización',
  FIELD_NAME: 'Nombre del campo',
  COLUMN_NAME: 'Nombre de la columna',
  GRAPH_NAME: 'Nombre del gráfico',
  DECIMALS: 'Posiciones decimales',
  TABLE: 'Tabla',
  TABLE_SETTINGS: 'Configuraciones de tabla',
  VALUE_FOMATER: 'Formato de valor',
  PER_PAGE_LINES: 'Líneas por página',
  CUSTOM_DISPLAY_STYLE: 'Estilo de pantalla',
  DATA_TYPE: 'Tipo de datos',
  CUSTOM_DISPLAY_MODAL_DESC:
    'Personaliza el estilo de visualización de la tabla según tus necesidades',
  Y_AXIS: 'Eje Y',
  GRAPH_COLORS: 'Colores del gráfico',
  SINGLE_GRAPH_TYPE: 'El tipo de gráfico más común.',
  SINGLE_GRAPH_TYPE_NAME: 'Gráfico Básico',
  STACKED_GRAPH_TYPE: 'Gráfico apilado',
  STACKED_GRAPH_TYPE_DESC: 'Útil para mostrar relaciones de parte a todo',
  MONITOR_TYPE_NO_SUPPORT: 'El tipo no es compatible actualmente',
  MONITOR_METRICS: 'Métricas de monitorización',
  METRIC_NAME: 'Nombre de la métrica',
  DEBUGB_DATA: 'Datos de depuración',
  TIME_FORMAT: 'Formato de tiempo',
  HIGHT_RULES: 'Reglas destacadas',
  EDIT_TEMPLATE: 'Editar plantilla',
  SAVE_TEMPLATE: 'Guardar plantilla',
  THRESHOLD_FILL: 'Configuraciones de umbral',
  THRESHOLD_FILL_DESC:
    'Puedes establecer un umbral y el estilo se puedes cambiar automáticamente una vez que se supera el umbral.',
  EMPTY_CHART_PLACEHOLDER: 'The chart will display here.',
}
