/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
  name: '名稱',
  Name: '名稱',
  Ready: '就緒',
  Status: '狀態',
  Type: '類型',
  Project: '項目',
  Service: '服務',
  Overview: '概覽',
  'Node Selector': '節點選擇器',
  'Start Time': '開始時間',
  'End Time': '結束時間',
  'Time Interval': '時間間隔',
  'Created Time': '創建時間',
  'Updated Time': '更新時間',
  'Running Time': '運行時間',
  'Custom Columns': '内容自定義',
  Deselect: '取消選擇',
  Monitors: '監控',
  Events: '事件',
  Labels: '標籤',
  'Application Workloads': '應用負載',
  Application: '應用',
  Container: '容器',
  Containers: '容器',
  Terminal: '終端',
  Command: '命令',
  Maintainers: '維護者',
  Creator: '創建者',
  Pod: '容器組',
  Pods: '容器組',
  Memory: '記憶體',
  memory: '記憶體',
  Custom: '自定義',
  Others: '其它',

  Platform: '平台管理',
  'Platform Info': '平台資訊',
  'Platform Version': '平台版本',
  'Platform URL': '平台地址',
  'Platform Title': '平台標題',
  'Platform Description': '平台描述',
  'Cluster Number': '集群數量',
  'Platform Running Status': '平台運行狀態',
  'As of Date': '統計截止時間',
  Workbench: '工作台',
  'Access Control': '訪問控制',
  'App Templates': '應用模板',
  'Service Components': '服務組件',
  Infrastructure: '基礎設施',
  'Basic Information': '基本資訊',
  'Monitoring & Alerting': '監控告警',
  'Configuration Center': '配置中心',
  'Project Settings': '項目設置',
  'Grayscale Release': '灰度發佈',

  'User Manual': '使用手冊',
  'API Documents': 'API 文件',

  History: '歷史紀錄',

  'Recent Visit': '最近訪問',

  CLUSTERS_MANAGE_DESC:
    '對多集群以及每个集群的基礎資源、服務组件和應用資源等的統一管理',
  ACCESS_CONTROL_DESC: '對平台中的企業空間、帳號、以及角色權限進行統一管理',
  APP_STORE_MANAGEMENT_DESC:
    '對雲原生應用的上架、下架以及審核等應用全生命週期的統一管理',
  PLATFORM_SETTINGS_DESC: '客製化平台設置，如平台基本資訊、紀錄收集器等',

  Loading: '載入中',
  Active: '已啟用',
  Running: '運行中',
  Succeeded: '運行中',
  'Not Running': '未運行',
  Updating: '更新中',
  Warning: '異常',
  Draining: '疏散中',
  Pending: '等待中',
  Stopped: '已停止',
  Disabled: '已停用',
  'Not Enabled': '未啟用',
  Enabled: '已啟用',
  Ceased: '已銷毀',
  Used: '已使用',
  Remain: '剩餘',
  All: '全部',
  Unresolved: '待解決',
  Deleted: '已刪除',
  Completed: '已完成',
  Unfinished: '未完成',
  Healthy: '健康',
  active: '已啟用',
  running: '運行中',
  waiting: '等待中',
  pending: '等待中',
  updating: '更新中',
  'is updating': '正在更新',
  upgrading: '升級中',
  warning: '異常',
  stopped: '已停止',
  disabled: '已停用',
  deleted: '已刪除',
  completed: '已完成',
  unfinished: '未完成',
  terminated: '已終止',
  healthy: '健康',
  unknown: '未知',
  failed: '失敗',
  Failed: '失敗',
  Suspend: '暫停',

  'Create ': '創建',
  Edit: '編輯',
  Restart: '重啟',
  Pause: '暫停',
  Start: '啟動',
  Cordon: '停止調度',
  Uncordon: '啟動調度',
  Delete: '刪除',
  Destroy: '銷毀',
  Enable: '啟用',
  Disable: '停用',
  Reset: '重置',
  Drain: '疏散',
  Visit: '訪問',
  Select: '選擇',
  'Select All': '選擇全部',
  Version: '版本',
  'Latest Version': '最新版本',
  Source: '來源',
  'Health Status': '健康狀態',

  'Edit Info': '編輯資訊',
  OK: '確定',
  Cancel: '取消',
  Apply: '應用',
  Close: '關閉',
  Previous: '上一步',
  Next: '下一步',
  Update: '更新',
  Undo: '撤銷',
  Save: '保存',
  Create: '創建',

  Path: '路徑',
  Scheme: '方案',
  type: '類型',
  status: '狀態',
  reason: '原因',
  Reason: '原因',
  message: '訊息',
  Message: '訊息',
  Count: '數量',
  Total: '總計',
  total: '總計',
  Level: '等級',
  level: '等級',

  Unit: '單位',
  NUM_UNIT: '個',
  Password: '密碼',

  NOT_ENABLE: '{resource}暫未啟用',
  NOT_AVAILABLE: '暫時没有可用的{resource}',
  NO_RESOURCE: '暫時没有{resource}',
  RESOURCE_NOT_FOUND: '很抱歉，没有找到您所尋找的資源。',
  'No Available Resource': '暫無可用資源',
  'No Data': '暫無數據',
  'No Relevant Data': '暫時没有相關數據',

  or: '或',
  refresh: '刷新',
  Refresh: '刷新',
  'to try again': '重試',
  More: '更多',
  Collapse: '收起',
  View: '查看',
  Current: '目前',
  'Display all': '顯示全部',
  'Display selected': '顯示已選',
  Display: '顯示',
  Hidden: '隱藏',
  Fold: '折疊',
  Unfold: '展開',

  'Basic Info': '基本資訊',
  'Pod Template': '容器組模板',
  'Volume Settings': '儲存卷設置',
  'Volume Templates': '儲存卷模板',
  'Volume Template Settings': '儲存卷模板設置',
  'Storage Device': '儲存設備',
  'Port Settings': '端口設置',
  'Service Settings': '服務設置',
  'Health Checker': '健康檢查器',
  'Internet Access': '外網訪問',
  'Advanced Settings': '高級設置',
  Settings: '設置',
  Configuration: '配置',
  'Multi-cluster Deployment': '多集群部署',
  MULTI_CLUSTER_TIP: '該資源部署在多個集群',

  Alias: '别名',
  'Official Document': '官網文件',

  optional: '選填',
  Protocol: '協定',
  Certificate: '憑證',
  key: '鍵',
  value: '值',
  Value: '值',
  'eg.': '例如：',
  'No.': '序號',
  'Select Key': '選擇鍵',

  Add: '添加',
  'Add ': '添加',
  'Edit ': '編輯',
  Set: '設置',
  New: '新建',
  Yes: '是',
  true: '是',
  True: '是',
  No: '否',
  false: '否',
  False: '否',

  'MMMM Do YYYY': 'YYYY年 M月 DD日',
  'YYYY-MM-DD': 'YYYY年MM月DD日',
  'Do HH:mm': 'Do日 HH:mm',
  'Updated just now': '剛剛更新',
  'half month ago': '半個月前',
  'half month': '半個月',
  CREATE_TIME: '創建於 {diff}',
  UPDATE_TIME: '更新於 {diff}',
  MONTH_AGO: '{count} 月前',
  MONTH_TIME: '{count} 月',
  WEEK_AGO: '{count} 週前',
  WEEK_TIME: '{count} 週',
  DAY_AGO: '{count} 天前',
  DAY_TIME: '{count} 天',
  HOUR_AGO: '{count} 小時前',
  HOUR_TIME: '{count} 小時',
  MINUTE_AGO: '{count} 分鐘前',
  MINUTE_TIME: '{count} 分鐘',

  NAME_DESC:
    '最長 63 個字元，只能包含小寫字母、數字及分隔符號("-")，且必須以小寫字母或數字開頭及結尾',
  NAME_TOO_LONG: '最長 63 个字元',

  LONG_NAME_DESC:
    '最長 253 個字元，只能包含小寫字母、數字及分隔符號("-")，且必須以小寫字母或數字開頭及結尾',
  LONG_NAME_TOO_LONG: '最長 253 個字元',
  ALIAS_DESC: '别名可以由任意字元组成，幫助您更好的區分資源，最長 63 個字元。',
  LABEL_FORMAT_DESC:
    '標籤的 key 和 value 最長 63 個字元，key 如果包含域名, 則最長 253 字元。只能包含大小寫字母、數字, 分隔符號("-")，下底線(_)及小數點(.)，且必須以數字或大小寫開頭和結尾',
  DESCRIPTION_DESC: '描述資訊不超過 256 個字元',
  PROJECT_DESC: '將根據項目資源進行分組, 可以按項目對資源進行查看管理',
  'MULTI-CLUSTER_PROJECT_CREATE_DESC':
    '將根據項目資源進行分組, 可以按項目對資源進行查看管理',
  Description: '描述資訊',

  'Please input name': '請輸入名稱',
  'Please input value': '請輸入值',
  'Please select workspace': '請選擇企業空間',
  'Please select project': '請選擇項目',
  'Please select version': '請選擇版本',
  'Please input password': '請輸入密碼',
  'Please input a keyword to filter': '請輸入關鍵字過濾',
  'Search by keyword': '請輸入關鍵字進行尋找',
  'Search by name': '請輸入名稱進行尋找',
  'Name exists': '名稱已存在',
  'Duplicate keys': '無法添加重復的 key',
  'Empty keys': '無法添加空的 key',

  'Log Out': '登出',
  About: '關於',
  'User Settings': '個人設置',
  Language: '語言',

  Read: '讀',
  ReadOnly: '只讀',
  Write: '寫',
  ReadAndWrite: '讀寫',
  'Not Mount': '不掛載',
  Out: '出',
  In: '入',
  Upstream: '上行',
  Downstream: '下行',
  Outbound: '流出',
  Inbound: '流入',

  exists: '已存在',

  'No Limit': '無限制',
  Quota: '配額',
  'Left Quota': '剩餘配額',

  TOTAL_ITEMS: '共 {num} 個項目',

  'Enter query conditions to filter': '輸入查詢條件進行過濾',

  DELETE_TITLE: '{type}刪除確認?',
  DELETE_TIP:
    '確定刪除{type} <strong>{resource}</strong> ? {type}刪除後將無法恢復。',
  DELETE_CONFIRM_TIP:
    '請輸入{type}名稱 <strong>{resource}</strong> 確保您已了解操作所带來的風險。',
  DELETE_APP_RESOURCE_TIP:
    '資源被應用 <strong>{app}</strong> 管理, 刪除後可能影響此應用的正常使用。請輸入{type}名稱 <strong>{resource}</strong> 確保您已了解操作所带來的風險。',
  DELETE_CONFIRM_PLACEHOLDER: '請輸入{resource}',

  REMOVE_USER_TIP: '確定移除用戶 <strong>{username}</strong> ? ',

  REMOVE_MEMBER_TIP: '確定移除成員 <strong>{resource}</strong> ?',

  DESTROY_TITLE: '確認銷毀?',
  DESTROY_TIP: '確定銷毀{type} <strong>{resource}</strong> ?',

  'Error Tips': '錯誤提示',

  'Created Successfully': '創建成功',
  'Updated Successfully': '更新成功',
  'Deleted Successfully': '刪除成功',
  'Canceled Successfully': '取消成功',

  EVENT_NORMAL: '正常',
  EVENT_WARNING: '異常',

  'Edit Mode': '編輯模式',
  'Load More': '載入更多',
  'All Repositories': '全部倉庫',

  'Version Info': '版本資訊',
  Homepage: '首頁',
  'Params Configuration': '参數配置',
  'Add parameter': '添加参數',
  'Add Param': '添加参數',
  'No parameters': '暫無参數',
  'Back To List': '返回列表',
  List: '列表',
  'Time Range': '時間範圍',
  'Last Updated Time': '上次更新時間',
  'Updated at': '更新於',
  'Sure to delete': '確認刪除',
  'Sure to remove': '確認移除',
  'Sure to redeploy': '確認重新部署',
  Activity: '活動',
  Task: '任務',
  Success: '成功',
  description: '描述',
  Agent: '代理',
  Confirm: '確認',
  Stage: '階段',
  'Default Value': '預設值',
  Username: '用戶名稱',
  'Unknown User': '未知用戶',
  secret_text: '秘密文本',
  domain: '域名',
  Account: '帳戶',
  Strategy: '策略',
  secret: '密鑰',
  Contributors: '貢獻者',
  Everyone: '所有人',
  Nobody: '無',
  'Add Task': '添加任務',
  Optional: '可選',
  Record: '紀錄',
  Records: '紀錄',
  Detail: '詳情',
  platform: '平台',
  Reselect: '重新選擇',
  body: '内容',
  author: '作者',
  Size: '大小',
  password: '密碼',
  None: '無',
  To: '至',
  to: '至',
  Download: '下載',
  Aborted: '已取消',
  Paused: '已暫停',
  'This param is required': '此参數不能為空',
  Images: '鏡像',
  filename: '文件名稱',
  NODES: '節點',
  FILE_OVERSIZED_TIP: '文件過大，超過 2M 不能上傳！',
  'Load more': '載入更多',

  'Resource List': '資源列表',

  'Platform-level Access Control': '平台級的訪問控制',

  NOT_FOUND_DESC:
    '🙇 對不起没有找到相關資源，系統將在 {time}s 後返回 <a href="{link}">工作台</a>',
  DETAIL_NOT_FOUND_DESC:
    '🙇 對不起没有找到相關資源，返回 <a href="{link}">{title}</a>',
  Toolbox: '工具箱',
  TOOLBOX_DESC: '提供紀錄、事件、審計等相關查詢工具',
  'Analysis Tools': '分析工具',
  'Control Tools': '控制工具',
  'Third-party Tools': '第三方工具',

  Logging: '紀錄',
  logging: '紀錄',
  Auditing: '審計',
  auditing: '審計',
  'Log Search': '紀錄查詢',
  LOG_SEARCH_DESC: '針對企業空間、項目、資源等多維度的紀錄查詢工具。',
  KUBECTL_DESC: '目前集群客戶端命令行工具',
  TOOLBOX_KUBECTL_DESC: '操作多集群的客戶端命令行工具',

  KUBECONFIG_DESC: '用於配置目前集群訪問資訊的文件',

  event: '事件',
  events: '事件',
  EVENT_CREATE_DESC: '您可以改變搜索條件重新查詢',
  'Event Search': '事件查詢',
  EVENT_SEARCH_DESC: '針對企業空間、項目、資源等多維度的事件查詢工具。',
  EVENT_DESC: '事件查詢（Event）是KubeSphere提供的平台内資源的歷史事件查詢',
  'Search By Condition': '根據條件進行尋找',
  'search condition': '搜索條件',
  'Search tips': '搜索提示',
  Preferences: '偏好設置',
  'Data Sources': '數據來源: 内建服務',
  'Number of events': '事件數量',
  'workspaces found': '共找到 {count} 個企業空間',
  'rules text': '如何定義操作審計收集規則？ 🤔',
  'rules desc':
    'KubeSphere可以根據您設置的規則進行操作審計的收集，點擊查看如何定義規則。',
  Category: '類别',
  Resource: '資源',
  'Earliest start time': '最早發生時間',
  'Most recent start time': '最近發生時間',
  'Related resources': '關聯資源',
  'Operation details': '操作詳情',
  'Event metadata': '事件元數據',

  'Auditing Operating': '操作審計',
  AUDITING_OPERATING_DESC:
    '針對企業空間、項目、資源等多維度的操作審計查詢工具。',
  verb: '操作行為',
  'Operation Account': '操作帳號',
  'Source IP': '來源 IP',
  Subresource: '子資源',
  'Status Code': '狀態代碼',

  NanoSeconds: '奈秒',
  MicroSeconds: '微秒',
  MilliSeconds: '毫秒',
  Seconds: '秒',
  Minutes: '分鐘',
  Hours: '小時',
  Days: '天',

  unit: '單位',
  time: '時間',
  email: '郵件',
  required: '必填',
  Successful: '成功',
  Unknown: '未知',
  'Not running yet': '未運行',
  successful: '成功',
  Tag: '標籤',
  PATTERN_NAME_INVALID_TIP: '名稱不合法 （僅支持小寫字母、數字、底線）',
  'No resources matching the filter have been found yet':
    '暫時没有找到符合過濾條件的資源',
  'You can try to': '您可以嘗試',
  'clear filters': '清空過濾條件',
  CONTENT_NOT_SAVED_TIPS: '内容已經修改但並未保存',
  SAVE_EDIT_HINTS: '請確認修改的内容是正確的，您可以保存設置或者取消設置。',

  Setting: '設置中',
  'Not set': '未設置',
  Finished: '已設置',

  'Learn more': '了解更多',

  KS_DESCRIPTION:
    'KubeSphere 是一款開源項目，在目前主流容器調度平台 Kubernetes 之上構建的企業級分佈式多租戶容器管理平台，提供簡單易用的操作界面以及引導式操作方式，在降低用戶使用容器調度平台學習成本的同時，極大降低開發、測試、維運的日常工作的複雜度。',

  REPS_ADDRESS: '項目地址',
  ISSUE_FEEDBACK: '問題反饋',
  PART_IN_DISCUSSION: '参與討論',
  CODE_CONTRIBUTE: '貢獻代碼',
  GITHUB_STAR: '點亮Star',

  CONDITION_STATUS_ANALYSE: '狀態分析(Conditions)',

  NAV_PROJECTS: '項目管理',
  NAV_ACCOUNTS: '帳戶管理',

  'Session timeout or this account is logged in elsewhere, please login again':
    '會話超時或此帳戶在其它地方登入，請重新登入',

  ALERT_WARNING: '請注意',

  VolumeSnapshot: '儲存卷快照',
  'Volume Snapshot': '儲存卷快照',

  CREATE_STATUS_SUCCESS: '創建成功',
  CREATE_STATUS_UPDATING: '創建中',
  CREATE_STATUS_FAILED: '創建失敗',

  DATA_SOURCE: '數據源',

  EMPTY_WRAPPER: '未發現 {resource}',

  'User Guides': '用戶指南',
  'Quick Support': '快速獲取幫助',
  'Developer Community': '開發者社區',
  HISTORY_DESC:
    '當您在多個企業空間或者項目下進行協同工作時，瀏覽器會紀錄下您最近訪問的路徑，您可以透過 F1 / (Win + K) / (Command + K) 查看歷史紀錄，來快速切換您的訪問資源。',
  NO_HISTORY_TITLE: '瀏覽器暫未收錄到您對集群或者企業空間等區域的訪問紀錄',
  NO_HISTORY_DESC: '您可以嘗試對企業空間或者集群、項目等資源的訪問',
  USER_GUIDES_DESC: '最詳盡的 KubeSphere 用戶指南文件',
  DEVELOPER_DESC: '透過在開發者社區提出問題獲得幫助',
  API_DOCS_DESC: '最詳盡的 KubeSphere API 文件',
  GITHUB_ISSUES_DESC: '透過在 GitHub 提出 Issue 獲得幫助',

  ENV_PRODUCTION: '生產環境',
  ENV_DEVELOPMENT: '開發環境',
  ENV_TESTING: '測試環境',
  ENV_DEMO: '示範環境',

  HOW_TO_MODIFY_PLATFORM_INFO: '如何修改平台資訊?',
  PLATFORM_INFO_DESC: '查看平台標題及描述等資訊',
  PLATFORM_SETTINGS_SELECTOR_DESC: '客製化平台的系統配置',

  EVENT_AGE: '發生時間',
  EVENT_FROM: '來源',
}
