/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
  name: '名称',
  Name: '名称',
  Ready: '就绪',
  Status: '状态',
  Type: '类型',
  Project: '项目',
  Service: '服务',
  Overview: '概览',
  'Node Selector': '节点选择器',
  'Start Time': '开始时间',
  'End Time': '结束时间',
  'Time Interval': '时间间隔',
  'Created Time': '创建时间',
  'Updated Time': '更新时间',
  'Running Time': '运行时间',
  'Custom Columns': '内容定制',
  Deselect: '取消选择',
  Monitors: '监控',
  Events: '事件',
  Labels: '标签',
  'Application Workloads': '应用负载',
  Application: '应用',
  Container: '容器',
  Containers: '容器',
  Terminal: '终端',
  Command: '命令',
  Maintainers: '维护者',
  Creator: '创建者',
  Pod: '容器组',
  Pods: '容器组',
  Memory: '内存',
  memory: '内存',
  Custom: '自定义',
  Others: '其它',

  Platform: '平台管理',
  'Platform Info': '平台信息',
  'Platform Version': '平台版本',
  'Platform URL': '平台地址',
  'Platform Title': '平台标题',
  'Platform Description': '平台描述',
  'Cluster Number': '集群数量',
  'Platform Running Status': '平台运行状态',
  'As of Date': '统计截止时间',
  Workbench: '工作台',
  'Access Control': '访问控制',
  'App Templates': '应用模板',
  'Service Components': '服务组件',
  Infrastructure: '基础设施',
  'Basic Information': '基本信息',
  'Monitoring & Alerting': '监控告警',
  'Configuration Center': '配置中心',
  'Project Settings': '项目设置',
  'Grayscale Release': '灰度发布',

  'User Manual': '使用手册',
  'API Documents': 'API 文档',

  History: '历史记录',

  'Recent Visit': '最近访问',

  CLUSTERS_MANAGE_DESC:
    '对多集群以及每个集群的基础资源、服务组件和应用资源等的统一管理',
  ACCESS_CONTROL_DESC: '对平台中的企业空间、账号、以及角色权限进行统一管理',
  APP_STORE_MANAGEMENT_DESC:
    '对云原生应用的上架、下架以及审核等应用全生命周期的统一管理',
  PLATFORM_SETTINGS_DESC: '定制化平台设置，如平台基本信息等',

  Loading: '加载中',
  Active: '活跃',
  Running: '运行中',
  Succeeded: '运行中',
  'Not Running': '未运行',
  Updating: '更新中',
  Warning: '异常',
  Draining: '疏散中',
  Pending: '等待中',
  Stopped: '已停止',
  Disabled: '已停用',
  'Not Enabled': '未启用',
  Enabled: '已启用',
  Ceased: '已销毁',
  Used: '已使用',
  Remain: '剩余',
  All: '全部',
  Unresolved: '待解决',
  Deleted: '已删除',
  Completed: '已完成',
  Unfinished: '未完成',
  Healthy: '健康',
  active: '活跃',
  running: '运行中',
  waiting: '等待中',
  pending: '等待中',
  updating: '更新中',
  'is updating': '正在更新',
  warning: '异常',
  stopped: '已停止',
  disabled: '已停用',
  deleted: '已删除',
  completed: '已完成',
  unfinished: '未完成',
  terminated: '已终止',
  healthy: '健康',
  unknown: '未知',
  failed: '失败',
  Failed: '失败',
  Suspend: '暂停',

  'Create ': '创建',
  Edit: '编辑',
  Restart: '重启',
  Pause: '暂停',
  Start: '启动',
  Cordon: '停止调度',
  Uncordon: '启动调度',
  Delete: '删除',
  Destroy: '销毁',
  Enable: '启用',
  Disable: '停用',
  Reset: '重置',
  Drain: '疏散',
  Visit: '访问',
  Select: '选择',
  'Select All': '选择全部',
  Version: '版本',
  'Latest Version': '最新版本',
  Source: '来源',
  'Health Status': '健康状态',

  'Edit Info': '编辑信息',
  OK: '确定',
  Cancel: '取消',
  Apply: '应用',
  Close: '关闭',
  Previous: '上一步',
  Next: '下一步',
  Update: '更新',
  Undo: '撤销',
  Save: '保存',
  Create: '创建',

  Path: '路径',
  Scheme: '方案',
  type: '类型',
  status: '状态',
  reason: '原因',
  Reason: '原因',
  message: '消息',
  Message: '消息',
  Count: '数量',
  Total: '总计',
  total: '总计',
  Level: '等级',
  level: '等级',

  Unit: '单位',
  NUM_UNIT: '个',
  Password: '密码',

  NOT_ENABLE: '{resource}暂未启用',
  NOT_AVAILABLE: '暂时没有可用的{resource}',
  NO_RESOURCE: '暂时没有{resource}',
  RESOURCE_NOT_FOUND: '很抱歉，没有找到您所查找的资源。',
  'No Available Resource': '暂无可用资源',
  'No Data': '暂无数据',
  'No Relevant Data': '暂时没有相关数据',

  or: '或',
  refresh: '刷新',
  Refresh: '刷新',
  'to try again': '重试',
  More: '更多',
  Collapse: '收起',
  View: '查看',
  Current: '当前',
  'Display all': '显示全部',
  'Display selected': '显示已选',
  Display: '显示',
  Hidden: '隐藏',
  Fold: '折叠',
  Unfold: '展开',

  'Basic Info': '基本信息',
  'Pod Template': '容器组模板',
  'Volume Settings': '存储卷设置',
  'Volume Templates': '存储卷模板',
  'Volume Template Settings': '存储卷模板设置',
  'Storage Device': '存储设备',
  'Port Settings': '端口设置',
  'Service Settings': '服务设置',
  'Health Checker': '健康检查器',
  'Internet Access': '外网访问',
  'Advanced Settings': '高级设置',
  Settings: '设置',
  Configuration: '配置',
  'Multi-cluster Deployment': '多集群部署',
  MULTI_CLUSTER_TIP: '该资源部署在多个集群',

  Alias: '别名',
  'Official Document': '官网文档',

  optional: '选填',
  Protocol: '协议',
  Certificate: '证书',
  key: '键',
  value: '值',
  Value: '值',
  'eg.': '例如：',
  'No.': '序号',
  'Select Key': '选择键',

  Add: '添加',
  'Add ': '添加',
  'Edit ': '编辑',
  Set: '设置',
  New: '新建',
  Yes: '是',
  true: '是',
  True: '是',
  No: '否',
  false: '否',
  False: '否',

  'MMMM Do YYYY': 'YYYY年 M月 DD日',
  'YYYY-MM-DD': 'YYYY年MM月DD日',
  'Do HH:mm': 'Do日 HH:mm',
  'Updated just now': '刚刚更新',
  'half month ago': '半个月前',
  'half month': '半个月',
  CREATE_TIME: '创建于 {diff}',
  UPDATE_TIME: '更新于 {diff}',
  MONTH_AGO: '{count} 月前',
  MONTH_TIME: '{count} 月',
  WEEK_AGO: '{count} 周前',
  WEEK_TIME: '{count} 周',
  DAY_AGO: '{count} 天前',
  DAY_TIME: '{count} 天',
  HOUR_AGO: '{count} 小时前',
  HOUR_TIME: '{count} 小时',
  MINUTE_AGO: '{count} 分钟前',
  MINUTE_TIME: '{count} 分钟',

  NAME_DESC:
    '最长 63 个字符，只能包含小写字母、数字及分隔符("-")，且必须以小写字母或数字开头及结尾',
  NAME_TOO_LONG: '最长 63 个字符',

  LONG_NAME_DESC:
    '最长 253 个字符，只能包含小写字母、数字及分隔符("-")，且必须以小写字母或数字开头及结尾',
  LONG_NAME_TOO_LONG: '最长 253 个字符',
  ALIAS_DESC: '别名可以由任意字符组成，帮助您更好的区分资源，最长 63 个字符。',
  LABEL_FORMAT_DESC:
    '标签的 key 和 value 最长 63 个字符，key 如果包含域名, 则最长 253 字符。只能包含大小写字母、数字, 分隔符("-")，下划线(_)及点(.)，且必须以数字或大小写开头和结尾',
  DESCRIPTION_DESC: '描述信息不超过 256 个字符',
  PROJECT_DESC: '将根据项目资源进行分组, 可以按项目对资源进行查看管理',
  'MULTI-CLUSTER_PROJECT_CREATE_DESC':
    '将根据项目资源进行分组, 可以按项目对资源进行查看管理',
  Description: '描述信息',

  'Please input name': '请输入名称',
  'Please input value': '请输入值',
  'Please select workspace': '请选择企业空间',
  'Please select project': '请选择项目',
  'Please select version': '请选择版本',
  'Please input password': '请输入密码',
  'Please input a keyword to filter': '请输入关键字过滤',
  'Search by keyword': '请输入关键字进行查找',
  'Search by name': '请输入名称进行查找',
  'Name exists': '名称已存在',
  'Duplicate keys': '无法添加重复的 key',
  'Empty keys': '无法添加空的 key',

  'Log Out': '登出',
  About: '关于',
  'User Settings': '个人设置',
  Language: '语言',

  Read: '读',
  ReadOnly: '只读',
  Write: '写',
  ReadAndWrite: '读写',
  'Not Mount': '不挂载',
  Out: '出',
  In: '入',
  Upstream: '上行',
  Downstream: '下行',
  Outbound: '流出',
  Inbound: '流入',

  exists: '已存在',

  'No Limit': '无限制',
  Quota: '配额',
  'Left Quota': '剩余配额',

  TOTAL_ITEMS: '共 {num} 个条目',

  'Enter query conditions to filter': '输入查询条件进行过滤',

  DELETE_TITLE: '{type}删除确认?',
  DELETE_TIP:
    '确定删除{type} <strong>{resource}</strong> ? {type}删除后将无法恢复。',
  DELETE_CONFIRM_TIP:
    '请输入{type}名称 <strong>{resource}</strong> 确保您已了解操作所带来的风险。',
  DELETE_APP_RESOURCE_TIP:
    '资源被应用 <strong>{app}</strong> 管理, 删除后可能影响此应用的正常使用。请输入{type}名称 <strong>{resource}</strong> 确保您已了解操作所带来的风险。',
  DELETE_CONFIRM_PLACEHOLDER: '请输入{resource}',

  REMOVE_USER_TIP: '确定移除用户 <strong>{username}</strong> ? ',

  REMOVE_MEMBER_TIP: '确定移除成员 <strong>{resource}</strong> ?',

  DESTROY_TITLE: '确认销毁?',
  DESTROY_TIP: '确定销毁{type} <strong>{resource}</strong> ?',

  'Error Tips': '错误提示',

  'Created Successfully': '创建成功',
  'Updated Successfully': '更新成功',
  'Deleted Successfully': '删除成功',
  'Canceled Successfully': '取消成功',

  EVENT_NORMAL: '正常',
  EVENT_WARNING: '异常',

  'Edit Mode': '编辑模式',
  'Load More': '加载更多',
  'All Repositories': '全部仓库',

  'Version Info': '版本信息',
  Homepage: '首页',
  'Params Configuration': '参数配置',
  'Add parameter': '添加参数',
  'Add Param': '添加参数',
  'No parameters': '暂无参数',
  'Back To List': '返回列表',
  List: '列表',
  'Time Range': '时间范围',
  'Last Updated Time': '上次更新时间',
  'Updated at': '更新于',
  'Sure to delete': '确认删除',
  'Sure to remove': '确认移除',
  'Sure to redeploy': '确认重新部署',
  Activity: '活动',
  Task: '任务',
  Success: '成功',
  description: '描述',
  Agent: '代理',
  Confirm: '确认',
  Stage: '阶段',
  'Default Value': '默认值',
  Username: '用户名',
  'Unknown User': '未知用户',
  secret_text: '秘密文本',
  domain: '域名',
  Account: '账户',
  Strategy: '策略',
  secret: '密钥',
  Contributors: '贡献者',
  Everyone: '所有人',
  Nobody: '无',
  'Add Task': '添加任务',
  Optional: '可选',
  Record: '记录',
  Records: '记录',
  Detail: '详情',
  platform: '平台',
  Reselect: '重新选择',
  body: '内容',
  author: '作者',
  Size: '大小',
  password: '密码',
  None: '无',
  To: '至',
  to: '至',
  Download: '下载',
  Aborted: '已取消',
  Paused: '已暂停',
  'This param is required': '此参数不能为空',
  Images: '镜像',
  filename: '文件名',
  NODES: '节点',
  FILE_OVERSIZED_TIP: '文件过大，超过 2M 不能上传！',
  'Load more': '加载更多',

  'Resource List': '资源列表',

  'Platform-level Access Control': '平台级的访问控制',

  NOT_FOUND_DESC:
    '🙇 对不起没有找到相关资源，系统将在 {time}s 后返回 <a href="{link}">工作台</a>',
  DETAIL_NOT_FOUND_DESC:
    '🙇 对不起没有找到相关资源，返回 <a href="{link}">{title}</a>',
  Toolbox: '工具箱',
  TOOLBOX_DESC: '提供日志、事件、审计等相关查询工具',
  'Analysis Tools': '分析工具',
  'Control Tools': '控制工具',
  'Third-party Tools': '第三方工具',

  Logging: '日志',
  logging: '日志',
  Auditing: '审计',
  auditing: '审计',
  'Log Search': '日志查询',
  LOG_SEARCH_DESC: '针对企业空间、项目、资源等多维度的日志查询工具。',
  KUBECTL_DESC: '当前集群客户端命令行工具',
  TOOLBOX_KUBECTL_DESC: '操作多集群的客户端命令行工具',

  KUBECONFIG_DESC: '用于配置当前集群访问信息的文件',

  event: '事件',
  events: '事件',
  EVENT_CREATE_DESC: '您可以改变搜索条件重新查询',
  'Event Search': '事件查询',
  EVENT_SEARCH_DESC: '针对企业空间、项目、资源等多维度的事件查询工具。',
  EVENT_DESC: '事件查询（Event）是KubeSphere提供的平台内资源的历史事件查询',
  'Search By Condition': '根据条件进行查找',
  'search condition': '搜索条件',
  'Search tips': '搜索提示',
  Preferences: '偏好设置',
  'Data Sources': '数据来源: 内置服务',
  'Number of events': '事件数量',
  'workspaces found': '共找到 {count} 个企业空间',
  'rules text': '如何定义操作审计收集规则？ 🤔',
  'rules desc':
    'KubeSphere可以根据您设置的规则进行操作审计的收集，点击查看如何定义规则。',
  Category: '类别',
  Resource: '资源',
  'Earliest start time': '最早发生时间',
  'Most recent start time': '最近发生时间',
  'Related resources': '关联资源',
  'Operation details': '操作详情',
  'Event metadata': '事件元数据',

  'Auditing Operating': '操作审计',
  AUDITING_OPERATING_DESC:
    '针对企业空间、项目、资源等多维度的操作审计查询工具。',
  verb: '操作行为',
  'Operation Account': '操作账号',
  'Source IP': '来源 IP',
  Subresource: '子资源',
  'Status Code': '状态码',

  NanoSeconds: '纳秒',
  MicroSeconds: '微秒',
  MilliSeconds: '毫秒',
  Seconds: '秒',
  Minutes: '分钟',
  Hours: '小时',
  Days: '天',

  unit: '单位',
  time: '时间',
  email: '邮件',
  required: '必填',
  Successful: '成功',
  Unknown: '未知',
  'Not running yet': '未运行',
  successful: '成功',
  Tag: '标签',
  PATTERN_NAME_INVALID_TIP: '名称不合法 （仅支持小写字母、数字、下划线）',
  'No resources matching the filter have been found yet':
    '暂时没有找到符合过滤条件的资源',
  'You can try to': '您可以尝试',
  'clear filters': '清空过滤条件',
  CONTENT_NOT_SAVED_TIPS: '内容已经修改但并未保存',
  SAVE_EDIT_HINTS: '请确认修改的内容是正确的，您可以保存设置或者取消设置。',

  Setting: '设置中',
  'Not set': '未设置',
  Finished: '已设置',

  'Learn more': '了解更多',

  KS_DESCRIPTION:
    'KubeSphere 是一款开源项目，在目前主流容器调度平台 Kubernetes 之上构建的企业级分布式多租户容器管理平台，提供简单易用的操作界面以及向导式操作方式，在降低用户使用容器调度平台学习成本的同时，极大降低开发、测试、运维的日常工作的复杂度。',

  REPS_ADDRESS: '项目地址',
  ISSUE_FEEDBACK: '问题反馈',
  PART_IN_DISCUSSION: '参与讨论',
  CODE_CONTRIBUTE: '贡献代码',
  GITHUB_STAR: '点亮Star',

  CONDITION_STATUS_ANALYSE: '状态分析(Conditions)',

  NAV_PROJECTS: '项目管理',
  NAV_ACCOUNTS: '账户管理',

  'Session timeout or this account is logged in elsewhere, please login again':
    '会话超时或此账户在其它地方登录，请重新登录',

  ALERT_WARNING: '请注意',

  VolumeSnapshot: '存储卷快照',
  'Volume Snapshot': '存储卷快照',

  CREATE_STATUS_SUCCESS: '创建成功',
  CREATE_STATUS_UPDATING: '创建中',
  CREATE_STATUS_FAILED: '创建失败',

  DATA_SOURCE: '数据源',

  EMPTY_WRAPPER: '未发现 {resource}',

  'User Guides': '用户指南',
  'Quick Support': '快速获取帮助',
  'Developer Community': '开发者社区',
  HISTORY_DESC:
    '当您在多个企业空间或者项目下进行协同工作时，浏览器会记录下您最近访问的路径，您可以通过 F1 / (Win + K) / (Command + K) 查看历史记录，来快速切换您的访问资源。',
  NO_HISTORY_TITLE: '浏览器暂未收录到您对集群或者企业空间等区域的访问记录',
  NO_HISTORY_DESC: '您可以尝试对企业空间或者集群、项目等资源的访问',
  USER_GUIDES_DESC: '最详尽的 KubeSphere 用户指南文档',
  DEVELOPER_DESC: '通过在开发者社区提出问题获得帮助',
  API_DOCS_DESC: '最详尽的 KubeSphere API 文档',
  GITHUB_ISSUES_DESC: '通过在 GitHub 提出 Issue 获得帮助',

  ENV_PRODUCTION: '生产环境',
  ENV_DEVELOPMENT: '开发环境',
  ENV_TESTING: '测试环境',
  ENV_DEMO: '演示环境',

  HOW_TO_MODIFY_PLATFORM_INFO: '如何修改平台信息?',
  PLATFORM_INFO_DESC: '查看平台标题及描述等信息',
  PLATFORM_SETTINGS_SELECTOR_DESC: '定制化平台的系统配置',

  EVENT_AGE: '发生时间',
  EVENT_FROM: '来源',
}
